package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasArcArchives;
import com.koobietech.eas.mbg.model.EasArcArchivesExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasArcArchivesMapper {
    long countByExample(EasArcArchivesExample example);

    int deleteByExample(EasArcArchivesExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasArcArchives record);

    int insertSelective(EasArcArchives record);

    List<EasArcArchives> selectByExample(EasArcArchivesExample example);

    EasArcArchives selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasArcArchives record, @Param("example") EasArcArchivesExample example);

    int updateByExample(@Param("record") EasArcArchives record, @Param("example") EasArcArchivesExample example);

    int updateByPrimaryKeySelective(EasArcArchives record);

    int updateByPrimaryKey(EasArcArchives record);
}